summaryrefslogtreecommitdiff
path: root/gnu
diff options
context:
space:
mode:
authorcvs2svn <cvs2svn@FreeBSD.org>1996-06-04 19:09:51 +0000
committercvs2svn <cvs2svn@FreeBSD.org>1996-06-04 19:09:51 +0000
commit38f70e7a6ec5f69556c583df9689f1fe59509abe (patch)
tree1dcc1592d49e29f7eccc6965e3e5ba58505a43d1 /gnu
parented1cde0b4abec868221d2eb8da6af2e2878545ee (diff)
Notes
Diffstat (limited to 'gnu')
-rw-r--r--gnu/usr.bin/man/makewhatis/makewhatis.local.855
-rw-r--r--gnu/usr.bin/man/makewhatis/makewhatis.local.sh35
2 files changed, 90 insertions, 0 deletions
diff --git a/gnu/usr.bin/man/makewhatis/makewhatis.local.8 b/gnu/usr.bin/man/makewhatis/makewhatis.local.8
new file mode 100644
index 000000000000..acf52121f07c
--- /dev/null
+++ b/gnu/usr.bin/man/makewhatis/makewhatis.local.8
@@ -0,0 +1,55 @@
+.\" (c) Wolfram Schneider, Berlin. April 1996. Public Domain.
+.\"
+.\" $Id: makewhatis.local.8,v 1.1 1996/05/14 10:27:26 wosch Exp $
+
+.Dd April, 26, 1996
+.Dt MAKEWHATIS.LOCAL 8
+.Os FreeBSD 2.2
+
+.Sh NAME
+.Nm makewhatis.local , catman.local
+.Nd start makewhatis for local file systems
+
+.Sh SYNOPSIS
+.Nm /usr/libexec/makewhatis.local
+.Op options
+.Ar directories ...
+.Nm /usr/libexec/catman.local
+.Op options
+.Ar directories ...
+
+
+.Sh DESCRIPTION
+.Nm
+start
+.Xr makewhatis 1
+only for file systems physically mounted on the system
+where the
+.Nm
+is being executed. Running makewhatis
+from
+.Pa /etc/weekly
+for rw nfs-mounted /usr may kill
+your NFS server -- all NFS clients start makewhatis at the same time!
+So use this wrapper for
+.Xr cron 8
+instead calling makewhatis directly.
+
+.Sh FILES
+.Bl -tag -width /etc/weekly.XXX -compact
+.It Pa /etc/weekly
+run
+.Nm
+every week
+.El
+
+.Sh SEE ALSO
+.Xr makewhatis 1 ,
+.Xr catman 1 ,
+.Xr find 1 ,
+.Xr cron 8 .
+
+.Sh HISTORY
+The
+.Nm
+command appeared in FreeBSD 2.2.
diff --git a/gnu/usr.bin/man/makewhatis/makewhatis.local.sh b/gnu/usr.bin/man/makewhatis/makewhatis.local.sh
new file mode 100644
index 000000000000..d566920cdd83
--- /dev/null
+++ b/gnu/usr.bin/man/makewhatis/makewhatis.local.sh
@@ -0,0 +1,35 @@
+#!/bin/sh
+# (c) Wolfram Schneider, Berlin. April 1996. Public Domain.
+#
+# makewhatis.local - start makewhatis(1) only for file systems
+# physically mounted on the system
+#
+# Running makewhatis from /etc/weekly for rw nfs-mounted /usr may kill
+# your NFS server -- all clients start makewhatis at the same time!
+# So use this wrapper instead calling makewhatis directly.
+#
+# PS: this wrapper works also for catman(1)
+#
+# $Id: makewhatis.local.sh,v 1.1 1996/05/14 10:27:27 wosch Exp $
+
+PATH=/bin:/usr/bin:$PATH; export PATH
+opt= dirs= localdirs=
+
+for arg
+do
+ case "$arg" in
+ -*) opt="$opt $arg";;
+ *) dirs="$dirs $arg";;
+ esac
+done
+
+dirs=`echo $dirs | sed 's/:/ /g'`
+case X"$dirs" in X) echo "usage: $0 [options] directories ..."; exit 1;; esac
+
+localdirs=`find -H $dirs -fstype local -type d -prune -print`
+
+case X"$localdirs" in
+ X) echo "$0: no local-mounted manual directories found: $dirs"
+ exit 1;;
+ *) exec `basename $0 .local` $opt $localdirs;;
+esac